/**
 * filesystem.h - Tools for reading filesystem's serial numbers
 *
 * This file is part of Laite (http://iki.fi/zouppen/laite/)
 * Copyright 2005 Joel Lehtonen <joel dot lehtonen t iki dot fi>
 *
 * Laite is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See COPYING
 */

#ifndef FILESYSTEM_H
#define FILESYSTEM_H

typedef struct 
{
	char *nimi; // "Kauppanimi"
	char *tunniste; // Osion tyyppi
	size_t lenTunniste; // Osiotyyppitietueen pituus
	int offFs; // Tiedostojrj. nimen sijainti boottisektorissa
	int offSerial; // Sarjanumeron sijainti boottisektorissa
	size_t lenSerial; // Sarjanumeron pituus
} osiotieto_t;

// omia vakioita
extern const size_t tietoSize; // Boottisektorin koko
extern const int luku_OK;
extern const int luku_AVAUS;
extern const int luku_LYHYT;
extern const int luku_LUKU;

int lueAlusta(char* osioData, const char* tiedosto, int length);
const osiotieto_t* selvitaTyyppi(char *osioData);
void binhexConv(char* hex, char* bin, int count);

#endif /* FILESYSTEM_H */
